"""ScoDoc 9 models : Formation BUT 2021
"""
from enum import unique
from typing import Any

from app import db

from app.scodoc.sco_utils import ModuleType


class APCFormation(db.Model):
    """Formation par compétence"""

    id = db.Column(db.Integer, primary_key=True)
    dept_id = db.Column(db.Integer, db.ForeignKey("departement.id"), index=True)
    specialite = db.Column(db.Text(), nullable=False)  # "RT"
    specialite_long = db.Column(
        db.Text(), nullable=False
    )  # "Réseaux et télécommunications"
